<mat-drawer-container class="sidenav-container">
  <mat-drawer
    #drawer
    class="sidenav"
    fixedInViewport="true"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [disableClose]="!(isHandset$ | async)"
    [opened]="!(isHandset$ | async)">
    <mat-toolbar color="primary">QBConnect</mat-toolbar>
    <ng-container *ngIf="tokenIsValid">
      <mat-accordion>
        <mat-expansion-panel class="mat-elevation-z0">
          <mat-expansion-panel-header>
            <mat-panel-title>Connections</mat-panel-title>
          </mat-expansion-panel-header>
          <mat-nav-list>
            <a mat-list-item routerLink="/list/quickbooks">QuickBooks Client</a>
            <a mat-list-item routerLink="/list/request_log">Request Log</a>
            <a mat-list-item routerLink="/settings">Settings</a>
          </mat-nav-list>
        </mat-expansion-panel>
      </mat-accordion>
    </ng-container>
    <mat-accordion>
      <mat-expansion-panel class="mat-elevation-z0">
        <mat-expansion-panel-header>Account</mat-expansion-panel-header>
        <mat-nav-list>
          <a mat-list-item *ngIf="!loggedIn" (click)="login()">Login</a>
          <a mat-list-item *ngIf="loggedIn" (click)="logout()">Logout</a>
        </mat-nav-list>
      </mat-expansion-panel>
    </mat-accordion>
  </mat-drawer>
  <mat-drawer-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
    </mat-toolbar>
    <router-outlet></router-outlet>
    <button
      class="fab-container"
      (click)="addModel()"
      mat-fab>
      <mat-icon>add</mat-icon>
    </button>
  </mat-drawer-content>
</mat-drawer-container>
